Method: projects.locations.hardware.validate

Validates a hardware configuration provided as JSON data. This method performs static checks and does not create or modify any resources

HTTP request

POST https://gdchardwaremanagement.googleapis.com/v1alpha/{parent=projects/*/locations/*}/hardware:validate

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The project and location to validate the hardware in. Format: projects/{project}/locations/{location}

Request body

The request body contains data with the following structure:

JSON representation
{
  "data": {
    object
  }
}
Fields
data

object (Struct format)

Required. The data to validate. This would contain the validation type (BOM, BMC, NW), and platform information containing the necessary details for validation. Sample JSON: { "validation_type": "BOM", "machine_spec": "DellXE9680Spec", "platform_info": { "bom_validation_info": { "bios_version": { "cmd": "echo 2.6.3", "failed": false, "rc": 0.0, "stderr": "", "stdout": "2.6.3" } } } }

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.